<?php
/**
 * /srv/http/metern/styles/globalheader.php
 *
 * @package default
 */


define('checkaccess', TRUE);
include 'config/config_main.php';
include 'scripts/links.php';
date_default_timezone_set($DTZ);
if (!empty($_POST['user_lang']) && is_string($_POST['user_lang'])) {
	$user_lang = htmlspecialchars($_POST['user_lang'], ENT_QUOTES, "UTF-8");
	setcookie('user_lang', $_POST['user_lang'], strtotime('+5 year'));
} else {
	if (isset($_COOKIE['user_lang'])) {
		$user_lang = $_COOKIE['user_lang'];
	} elseif (isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])) {
		$lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
		switch ($lang) {
		case 'en':
			$user_lang = 'English';
			break;
		case 'fr':
			$user_lang = 'Français';
			break;
		case 'it':
			$user_lang = 'Italiano';
			break;
		default:
			$user_lang = 'English';
			break;
		}
		setcookie('user_lang', $user_lang, strtotime('+5 year'));
	} else {
		setcookie('user_lang', 'English', strtotime('+5 year'));
		$user_lang = 'English';
	}
}
include 'languages/' . $user_lang . '.php';

if (!empty($_POST['user_style']) && is_string($_POST['user_style']) && file_exists('styles/' . $_COOKIE['user_style'])) {
	$user_style = htmlspecialchars($_POST['user_style'], ENT_QUOTES, 'UTF-8');
	setcookie('user_style', $user_style, strtotime('+5 year'));
} elseif (isset($_COOKIE['user_style']) && file_exists('styles/' . $_COOKIE['user_style'])) {
	$user_style = $_COOKIE['user_style'];
} else {
	$user_style = 'default';
	setcookie('user_style', 'default', strtotime('+5 year'));
}
echo '<!DOCTYPE html>
';
if ($DPOINT=='.') {
	echo "<html lang='en-150'>";
} else {
	echo '<html>';
}
echo "
<head>
<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
<title>$TITLE</title>
<META NAME='ROBOTS' CONTENT='NOINDEX, NOFOLLOW'>
<link rel='icon' type='image/x-icon' href='images/favicon.ico'>
<link rel='icon' type='image/png' href='images/favicon-32x32.png' sizes='32x32'>
<link rel='icon' type='image/png' href='images/favicon-16x16.png' sizes='16x16'>
<script src='$JSjquery'></script>
<script src='$JSjqui'></script>
<link rel='stylesheet' href='$JSjquit' type='text/css'>
<script type='text/javascript' src='$HC'></script>
<script type='text/javascript' src='$HCmore'></script>
<script type='text/javascript' src='$HCdd'></script>
<script type='text/javascript' src='$HCexp'></script>
<link rel='stylesheet' href='styles/$user_style/css/style.css' type='text/css'>
";
include 'styles/yourheader.php';
echo '</head>';
if ($DEBUG) {
	echo "(Debug mode shouldn't be left permanently)";
}
include 'styles/' . $user_style . '/header.php';
?>
